dofile "flightcommander_gameflow.lua"

function Default_startup()
  Gameflow_setStartingRoom(0);
end

function Default_beforeBriefing()
  Gameflow_addMovie("briefingstart.avi", "briefingstart.mp3");
end

function Default_beforeMission()
  Gameflow_addMovie("after_briefing.avi", "after_briefing.mp3");
end


function Default_afterMission()
  if debriefing.mission_status == MISSION_WON then
    if debriefing.player_damage > .5 then
      -- lots of damage
      Gameflow_addMovie("aftermission_damaged.avi", "aftermission_damaged.mp3");
    else
      -- not too much damage
      Gameflow_addMovie("aftermission_good.avi", "aftermission_good.mp3");
    end
  elseif debriefing.mission_status == MISSION_DEAD then
    Gameflow_addMovie("afterplayerdeath.avi", "afterplayerdeath.mp3");
  else
    -- lost or eject
    Gameflow_addMovie("aftermission_bad.avi", "aftermission_bad.mp3");
  end
end

