dofile "flightcommander.lua"

bodycount = 0;
tp = 0;
bonus1 = 100;
bonus2 = 150;
bonus3 = 250;
bonus4 = 450;
berserk = 2000;
berserk_time = 0;
bonus = 0;
bonus_txt = '';
id = '';
code = 0;

function simstart()
  Mission_setScriptControl(true);
  Mission_setEnemiesAreAlive(true);
  createship();
end

function simadvance()
  if tp >= bonus1 then
    Ship_setFuel('$player',1);
    bonus1 = bonus1 + 450;
    bonus = 10;
    Comm_playSound('bonus.wav');
    bonus_txt = "Afterburner Fuel Reloaded!";
  elseif tp >= bonus2 then
    Ship_replenishMissiles('$player');
    Ship_replenishGuns('$player');
    bonus2 = bonus2 + 450;
    bonus = 10;
    Comm_playSound('bonus.wav');
    bonus_txt= "Missiles and Guns Replenished!";
  elseif tp >= bonus3 then
    Ship_setArmorAll('$player',1);
    Ship_setShieldsAll('$player',1);
    bonus3 = bonus3 + 450;
    bonus = 10;
    Comm_playSound('bonus.wav');
    bonus_txt= "Shields and Armor Restored!";
  elseif tp >= bonus4 then
    Ship_setHitPoints('$player',1);
    bonus4 = bonus4 + 450;
    bonus = 10;
    Comm_playSound('bonus.wav');
    bonus_txt= "Hull Repaired!";
  end
  if tp >= berserk then
    berserk_time = 60;
    berserk = berserk + 2000;
    Comm_playSound('bonus.wav');
  end
  if berserk_time > 0 then
    Ship_setArmorAll('$player',1);
    Ship_setShieldsAll('$player',1);
    berserk_time = berserk_time - 1;
    Mission_setDebugText(bodycount .. " Kills / " .. tp .. " Points - Berserk Mode "..berserk_time);
  elseif bonus == 0 then
    Mission_setDebugText(bodycount .. " Kills / " .. tp .. " Points");
  else
    Mission_setDebugText("Bonus: "..bonus_txt);
    bonus = bonus -1;
  end
end

function createship()
  x = math.random(-120,120);
  y = math.random(-120,120);
  z = math.random(-120,120);
  rx = math.random(0,359);
  ry = math.random(0,359);
  rz = math.random(0,359);
  s = math.random(0,6);
  code= code + 1;
  id="$" .. code;
  if s==0 then ship = "piranha"; sp=15;
  elseif s==1 then ship = "tigershark"; sp=25;
  elseif s==2 then ship = "wasp"; sp=30;
  elseif s==3 then ship = "panther"; sp=35;
  elseif s==4 then ship = "shrike"; sp=40;
  elseif s==5 then ship = "vampire"; sp=55;
  elseif s==6 then ship = "devastator"; sp=60;
  end
  Mission_addShip( ship, "maniac", "helmet", false, "", IFF_ENEMY, x, y, z, id, "", "shipdestroyed", "");
 Ship_setOrientation(id, rx, ry, rz);
end

function shipdestroyed(shipid)
  bodycount = bodycount + 1;
  tp = tp + sp;
  createship();
end
