dofile "flightcommander.lua"

bodycount = 0;
tp = 0;
bonus1 = 100;
bonus2 = 150;
bonus3 = 300;
bonus = 0;
bonus_txt = '';

function simstart()
  Mission_setScriptControl(true);
  Mission_setEnemiesAreAlive(true);
  createship();
end

function simadvance()
  if tp >= bonus1 then
    Ship_setFuel('$player',1);
    bonus1 = bonus1 + 300;
    bonus = 10;
    Comm_playSound('bonus.wav');
    bonus_txt = "Quick Fuel Service!";
  elseif tp >= bonus2 then
    Ship_replenishMissiles('$player');
    Ship_replenishGuns('$player');
    bonus2 = bonus2 + 300;
    bonus = 10;
    Comm_playSound('bonus.wav');
    bonus_txt= "Heavy Replenished Loadout!";
  elseif tp >= bonus3 then
    Ship_setHitPoints('$player',1.0);
    Ship_setArmorAll('$player', 1.0)
    bonus3 = bonus3 + 300;
    bonus = 10;
    Comm_playSound('bonus.wav');
    bonus_txt= "Happy Armor Repair!";
  end
  if bonus == 0 then
    Mission_setDebugText(bodycount .. " Kills / " .. tp .. " Points");
  else
    Mission_setDebugText("Bonus: "..bonus_txt);
    bonus = bonus -1;
  end
end

function createship()
  x = math.random(-500,500);
  y = math.random(-500,500);
  z = math.random(-500,500);
  rx = math.random(0,359);
  ry = math.random(0,359);
  s = math.random(0,6);
  code=math.random(0,65536);
  id="$" .. code;
  if s==0 then ship = "lamprey"; sp=5;
  elseif s==1 then ship = "stingray"; sp=15;
  elseif s==2 then ship = "moray"; sp=20;
  elseif s==3 then ship = "squid"; sp=25;
  elseif s==4 then ship = "manta"; sp=40;
  elseif s==5 then ship = "raynode"; sp=30;
  elseif s==6 then ship = "devil"; sp=60;
  end
  Mission_addShip( ship, "bug1", "bug", false, "", IFF_ENEMY, x, y, z, id, "", "shipdestroyed", "");
 Ship_setOrientation(id, rx, ry, 0);
end

function shipdestroyed(shipid)
  bodycount = bodycount + 1;
  tp = tp + sp;
  createship();
end
