dofile "flightcommander.lua"

function init()
  Mission_setScriptControl(true);
  Mission_setAutopilotEnabled(true);
  bugsdead =0;
  playedcomplete = false;
end

function onbugdead(shipid)
  bugsdead = 1;
  Mission_setEnemiesAreAlive(false);
  Mission_setFailed();
  Mission_setAutopilotEnabled(true);
end

function onbugadvance(shipid)
  if((not playedcomplete) and bugsdead == 0) then
    if( Ship_getNumTurrets(shipid) == 0) then
       playedcomplete = true;
       Mission_setAutopilotEnabled(true);
       Ship_setIff(shipid, IFF_FRIEND);
       Mission_setEnemiesAreAlive(false);
       Objective_setState(0, OBJECTIVE_COMPLETE);
    end
  end
end


function nav2enter()
  Mission_setAutopilotEnabled(false);
  Mission_setEnemiesAreAlive(true);
end

function nav2leave()
  Mission_setComplete();
  if(bugsdead == 0) then
     Mission_setAccomplished();
  end
end

-- call init on startup
init();

